Bug 115468 - [MAINTAINER-UPDATE] sysutils/bacula-server upgrade to 2.2.0
Summary: [MAINTAINER-UPDATE] sysutils/bacula-server upgrade to 2.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-13 15:20 UTC by Dan Langille
Modified: 2007-08-15 10:50 UTC (History)
1 user (show)

See Also:


Attachments
patch.bacula-server.2.2.0 (4.87 KB, text/plain)
2007-08-13 15:20 UTC, Dan Langille
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Langille 2007-08-13 15:20:01 UTC
	
Upgrade to 2.2.0
This release contains significant speed improvments.

This Director and Storage daemon must be upgraded at the same time,
but they should be compatible with all 2.0.x File daemons, unless you
use some of the new features that affect the FD.  In other words, you should
not have to upgrade all your File daemons when you upgrade.

There is no database upgrade needed from version 2.0.x to 2.2.0.

The major new features are:
- Much faster insertion of attributes (somewhere around 10 times),
  many thanks to Eric Bollengier and Marc Cousin. 
- First release of bat (Bacula Administration Tool).  Note to build
  bat you must explicitly enable it on the ./configure line, you
  must have the Qt4 version 4.2 or later libraries loaded, the qwt
  (Qt Graphics) package loaded, and qmake and the other Qt4 tools 
  must be available. Most of the implementation was done by Dirk Bartley.
- Red/Black restore in memory tree (500 times faster loading).

Full release notes: http://sourceforge.net/project/shownotes.php?release_id=531447
Comment 1 Ion-Mihai "IOnut" Tetcu freebsd_committer 2007-08-14 13:34:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 2 dfilter service freebsd_committer 2007-08-15 10:44:46 UTC
itetcu      2007-08-15 09:44:42 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/bacula-server Makefile distinfo pkg-plist.client 
  Log:
  Upgrade to 2.2.0
  This release contains significant speed improvments.
  
  This Director and Storage daemon must be upgraded at the same time,
  but they should be compatible with all 2.0.x File daemons, unless you
  use some of the new features that affect the FD. In other words, you should
  not have to upgrade all your File daemons when you upgrade.
  
  There is no database upgrade needed from version 2.0.x to 2.2.0.
  
  The major new features are:
  - Much faster insertion of attributes (somewhere around 10 times),
  many thanks to Eric Bollengier and Marc Cousin.
  - First release of bat (Bacula Administration Tool). Note to build
  bat you must explicitly enable it on the ./configure line, you
  must have the Qt4 version 4.2 or later libraries loaded, the qwt
  (Qt Graphics) package loaded, and qmake and the other Qt4 tools
  must be available. Most of the implementation was done by Dirk Bartley.
  - Red/Black restore in memory tree (500 times faster loading).
  
  Full release notes: http://sourceforge.net/project/shownotes.php?release_id=531447
  
  PR:             ports/115468
  Submitted by:   Dan Langille (maintainer)
  
  Revision  Changes    Path
  1.88      +20 -19    ports/sysutils/bacula-server/Makefile
  1.34      +3 -3      ports/sysutils/bacula-server/distinfo
  1.5       +1 -0      ports/sysutils/bacula-server/pkg-plist.client
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Ion-Mihai "IOnut" Tetcu freebsd_committer 2007-08-15 10:46:04 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!